<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      layout:decorate="~{layout}">
<head>
    <meta charset="UTF-8">
    <title>Jenis Time Off</title>
</head>
<body>

<section layout:fragment="breadcrumb" class="content-header">
    <h1>
        Jenis Time Off
        <small>List Data</small>
    </h1>
    <ol class="breadcrumb">
        <li class="treeview active"> Master Data</li>
        <li class="active"> Jenis Time Off</li>
    </ol>
</section>

<section layout:fragment="main" class="content">
    <div class="row">
        <div class="col-md-3">
            <div class="box box-solid">
                <div class="box-header with-border">
                    <h3 class="box-title">Tab</h3>

                    <div class="box-tools">
                        <button type="button" class="btn btn-box-tool" data-widget="collapse"><i class="fa fa-minus"></i>
                        </button>
                    </div>
                </div>
                <div class="box-body no-padding">
                    <ul class="nav nav-pills nav-stacked">
                        <li class="active">
                            <a th:href="@{/setting/timeoff/jenis}"><i class="fa fa-inbox"></i> Time Off Jenis </a>
                        </li>

                    </ul>
                </div>
                <!-- /.box-body -->
            </div>
        </div>
        <div class="col-md-8">

            <div class="callout callout-success" th:if="${success != null}">
                <h4>Save Data Success!</h4>

                <p>Data Berhasil Disimpan.</p>
            </div>

            <div class="callout callout-success" th:if="${deleted != null}">
                <h4>Delete Data Success!</h4>

                <p>Data Berhasil Dihapus.</p>
            </div>

            <div class="callout callout-danger" th:if="${gagal != null}">
                <h4>Save Data Unsuccesfully!</h4>

                <p>Data Tidak dapat dihapus karena ada anggaran aktif di dalamnya. hapus anggaran terlebih dahulu sebelum menghapus departemen ini..</p>
            </div>

            <div class="box">
                <form method="get">
                    <div class="box-header with-border">
                        <div class="row">
                            <div class="col-md-6">
                                <h3 class="box-title">Jenis Time Off</h3>
                            </div>
                            <div class="col-md-6" align="right">
                                Show entries <span sd:page-size-selector="javascript"></span>
                            </div>
                        </div>
                    </div>

                    <div class="box-header with-border">
                        <div class="row">
                            <div class="col-md-4">
                                <div class="input-group input-group-sm" style="width: 150px;">
                                    <a th:href="@{/setting/timeoff/jenis/new}" name="tambah" type="button" class="btn btn-block btn-default">+ Add Time Off Jenis</a>
                                </div>
                            </div>


                            <div class="col-md-4">
                                <div class="form-group">
                                    <label for="tahun" class="col-sm-2 control-label">Year</label>

                                    <div class="col-sm-10">
                                        <select class="form-control select2" name="tahun" id="tahun" onchange="submit()">
                                            <option th:each="datass : ${listTahun}"
                                                    th:selected="(${datass} == *{tahunSelected})"
                                                    th:text="${datass.tahun}"
                                                    th:value="${datass.tahun}">sdasd</option>
                                        </select>
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-4" align="right">
                                <div class="input-group input-group-sm" style="width: 150px;">
                                    <input type="text" name="search" class="form-control pull-right" th:value="${search}" placeholder="Search">
                                    <div class="input-group-btn">
                                        <button type="submit" class="btn btn-default"><i class="fa fa-search"></i></button>
                                    </div>
                                </div>
                            </div>

                        </div>
                    </div>
                </form>

                <div class="box-body table-responsive no-padding">
                    <table class="table table-bordered">
                        <tr>
                            <th style="width: 10px">#</th>
                            <th>Jenis Time Off</th>
                            <th>Year active</th>
                            <th>Count</th>
                            <th>Quota</th>
                            <th>Work Day</th>
                            <th>Blocking</th>
                            <th>Limit</th>
                            <th style="width: 40px"></th>
                        </tr>
                        <tr th:each="dataTimeOffJenis,row : ${listTimeOffJenis}">
                            <td th:text="${(row.index + 1) + (listTimeOffJenis.number * listTimeOffJenis.size)}">1.</td>
                            <td><a th:href="@{/setting/timeoff/jenis/edit(timeOffJenis = ${dataTimeOffJenis.id})}" th:text="${dataTimeOffJenis.timeOffName}" title="Edit"></a></td>
                            <td th:text="${dataTimeOffJenis.tahun}">BEASISWA</td>
                            <td th:text="${dataTimeOffJenis.count}">BEASISWA</td>
                            <td th:text="${dataTimeOffJenis.statusQuota}">BEASISWA</td>
                            <td th:text="${dataTimeOffJenis.getHitungMasuk()}">BEASISWA</td>
                            <td th:text="${dataTimeOffJenis.blockingType}">BEASISWA</td>
                            <td th:text="${dataTimeOffJenis.blockingCount}">BEASISWA</td>
                            <td>

                                <form method="post" th:action="@{/setting/timeoff/jenis/delete(timeOffJenis=${dataTimeOffJenis.id})}">
                                    <button type="submit" class="btn btn-danger btn-xs"
                                            onclick="return confirm('Are you sure want to delete this?')">
                                        Delete
                                    </button>
                                </form>
                            </td>
                        </tr>

                        <tr>
                            <th style="width: 10px">#</th>
                            <th>Jenis Time Off</th>
                            <th>Count</th>
                            <th>Quota</th>
                            <th>Work Day</th>
                            <th style="width: 40px"></th>
                        </tr>


                    </table>
                </div>
                <!-- /.box-body -->
                <div class="box-footer clearfix">
                    <ul class="pagination pagination-sm no-margin pull-right" sd:pagination="full">
                        <li class="disabled"><a href="#" aria-label="Previous"><span
                                aria-hidden="true">&laquo;</span></a>
                        </li>
                        <li class="active"><a href="#">1 <span class="sr-only">(current)</span></a>
                        </li>
                    </ul>
                </div>
            </div>
            <!-- /.box -->
        </div>
    </div>
</section>
</body>
</html>